中危 Linux Kernel up to 5.1-rc6 vhost_net Kernel Module handle_rx() 拒绝服务漏洞

CVE编号

CVE-2019-3900

利用情况

暂无

补丁情况

官方补丁

披露时间

2019-04-26
漏洞描述
CVE(CAN) ID:CVE-2019-3900Linux kernel是美国Linux基金会发布的开源操作系统Linux所使用的内核。Linux kernel 5.1-rc6及之前版本中,vhost_net内核模块在handle_rx()处理收到的报文时存在无限循环问题。如果一端发送数据包的速度快于另一端处理它们的速度,则可能发生这种情况。guest用户(可能是远程用户)可以利用此漏洞来停止vhost_net内核线程,从而导致DoS场景。<br>
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 netapp active_iq_unified_manager_for_vmware_vsphere * From
(including)
9.5
运行在以下环境
应用 netapp hci_management_node - -
运行在以下环境
应用 netapp snapprotect - -
运行在以下环境
应用 netapp solidfire - -
运行在以下环境
应用 netapp storage_replication_adapter_for_clustered_data_ontap_for_vmware_vsphere * From
(including)
7.2
运行在以下环境
应用 netapp vasa_provider_for_clustered_data_ontap * From
(including)
7.2
运行在以下环境
应用 netapp virtual_storage_console_for_vmware_vsphere * From
(including)
7.2
运行在以下环境
系统 amazon linux_2 linux * Up to
(excluding)
4.14.133-113.105.amzn2
运行在以下环境
系统 amazon linux_AMI linux * Up to
(excluding)
4.14.133-88.105.amzn1
运行在以下环境
系统 amazon_2 linux * Up to
(excluding)
4.14.133-113.105.amzn2
运行在以下环境
系统 amazon_AMI linux * Up to
(excluding)
4.14.133-88.105.amzn1
运行在以下环境
系统 canonical ubuntu_linux 16.04 -
运行在以下环境
系统 canonical ubuntu_linux 18.04 -
运行在以下环境
系统 canonical ubuntu_linux 19.04 -
运行在以下环境
系统 centos_6 linux * Up to
(excluding)
2.6.32-754.24.2.el6
运行在以下环境
系统 centos_8 linux * Up to
(excluding)
4.18.0-147.el8
运行在以下环境
系统 debian debian_linux 10.0 -
运行在以下环境
系统 debian debian_linux 8.0 -
运行在以下环境
系统 debian debian_linux 9.0 -
运行在以下环境
系统 debian_10 linux * Up to
(excluding)
4.19.67-1
运行在以下环境
系统 debian_8 linux * Up to
(excluding)
3.16.57-1
运行在以下环境
系统 debian_9 linux * Up to
(excluding)
4.9.168-1+deb9u5
运行在以下环境
系统 fedoraproject fedora 29 -
运行在以下环境
系统 fedoraproject fedora 30 -
运行在以下环境
系统 fedora_28 linux * Up to
(excluding)
5.0.10-100.fc28
运行在以下环境
系统 fedora_29 linux * Up to
(excluding)
5.0.10-200.fc29
运行在以下环境
系统 fedora_30 linux * Up to
(excluding)
5.0.10-300.fc30
运行在以下环境
系统 linux linux_kernel * Up to
(excluding)
5.1
运行在以下环境
系统 linux linux_kernel 5.1 -
运行在以下环境
系统 netapp cn1610_firmware - -
运行在以下环境
系统 opensuse_Leap_15.3 linux * Up to
(excluding)
4.12.14-197.102.2
运行在以下环境
系统 oracle linux_6 linux * Up to
(excluding)
2.6.32-754.24.2.el6
运行在以下环境
系统 oracle linux_7 linux * Up to
(excluding)
3.10.0-1062.el7
运行在以下环境
系统 oracle linux_8 linux * Up to
(excluding)
4.18.0-147.el8
运行在以下环境
系统 oracle_6 linux * Up to
(excluding)
4.1.12-124.54.6.1.el7uek
运行在以下环境
系统 oracle_7 linux * Up to
(excluding)
3.10.0-1062.el7
运行在以下环境
系统 oracle_8 linux * Up to
(excluding)
4.18.0-147.el8
运行在以下环境
系统 redhat enterprise_linux 6.0 -
运行在以下环境
系统 redhat enterprise_linux 7.0 -
运行在以下环境
系统 redhat_6 kernel * Up to
(excluding)
0:2.6.32-754.24.2.el6
运行在以下环境
系统 redhat_7 bpftool * Up to
(excluding)
0:3.10.0-1062.el7
运行在以下环境
系统 redhat_7 kernel-rt * Up to
(excluding)
0:3.10.0-1062.rt56.1022.el7
运行在以下环境
系统 redhat_8 linux * Up to
(excluding)
4.18.0-147.el8
运行在以下环境
系统 suse_12_SP5 linux * Up to
(excluding)
4.12.14-16.73.1
运行在以下环境
系统 ubuntu_16.04 linux * Up to
(excluding)
4.4.0-1056.63
运行在以下环境
系统 ubuntu_16.04_lts linux * Up to
(excluding)
4.4.0-161.189
运行在以下环境
系统 ubuntu_18.04 linux * Up to
(excluding)
5.0.0-1018.19~18.04.1
运行在以下环境
系统 ubuntu_18.04_lts linux * Up to
(excluding)
4.15.0-60.67
运行在以下环境
硬件 netapp cn1610 - -
阿里云评分
4.5
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    普通权限
  • 影响范围
    越权影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-835 不可达退出条件的循环(无限循环)
阿里云安全产品覆盖情况